#ifndef _Onewire_H

	#define _Onewire_H
	#define _XTAL_FREQ 4000000
	#define OWPORTDIR TRISB
	#define OWPORTOUT PORTB
	#define OWPORTIN PORTB
	#define OWPORTPIN 0x01
	#define OW_LO {	OWPORTDIR &= ~OWPORTPIN;	OWPORTOUT &= ~OWPORTPIN; }		//make pin an output, drive pin low
	#define OW_HI {	OWPORTDIR |= OWPORTPIN;	}									//make pin an input
	#define OW_RLS { OWPORTDIR |= OWPORTPIN; }									//make pin an input,

	char OnewireReset( void );
	void OnewirePortsetup( void );
	void OnewireWriteBit( char cBit );
	char OnewireReadBit( void );
	void OnewireWriteByte( unsigned char ucByte );
	unsigned char OnewireReadByte( void );
	unsigned int ReadDS1820( void );
	unsigned int GetData( void );


#endif /* _Onewire_H */